<template>
  <PageLayoutWithBg title="在线签约" has-border class="online-auth-page">
    <LoadingLayout>
      <ContentScrollView>
        <OnlineResult
          title="宁波人力无忧公司"
          :icon="IconMain"
          contentTitle="无法签约！"
          :items="['您的实名认证未通过', '无法通过']"
          status="error"
        >
          <template #actions>
            <PageFooterBtn style="width: 100%" :hasMargin="false" @click="goBack"
              >返回修改</PageFooterBtn
            >
          </template>
        </OnlineResult>
      </ContentScrollView>
    </LoadingLayout>
  </PageLayoutWithBg>
</template>

<script setup lang="ts">
import { LoadingLayout } from '@bole-core/components';
import IconMain from '@/assets/online-sign-result/icon-main-fail.png';
import OnlineResult from './components/OnlineResult.vue';

defineOptions({
  name: 'OnlineAuthFail',
});

const router = useRouter();

function goBack() {
  router.back();
}
</script>
